summaryrefslogtreecommitdiffstats
path: root/libraries/libfixposix
diff options
context:
space:
mode:
author Omer YILMAZ <mr1yh1@yahoo.com>2016-11-02 22:43:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-02 22:53:13 +0700
commitcf6b9d3707c56f722961868b4eae21dcf8e793c6 (patch)
tree13740210aa1c4f9e81aeec70468a7c1d5f93b6e7 /libraries/libfixposix
parentcdda47a60451a3486f81396f838dcc42291ff612 (diff)
downloadslackbuilds-cf6b9d3707c56f722961868b4eae21dcf8e793c6.tar.gz
slackbuilds-cf6b9d3707c56f722961868b4eae21dcf8e793c6.tar.xz
libraries/libfixposix: Added (Thin wrapper over POSIX syscalls).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libfixposix')
-rw-r--r--libraries/libfixposix/README4
-rw-r--r--libraries/libfixposix/libfixposix.SlackBuild95
-rw-r--r--libraries/libfixposix/libfixposix.info10
-rw-r--r--libraries/libfixposix/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/libfixposix/README b/libraries/libfixposix/README
new file mode 100644
index 0000000000..b106e433a7
--- /dev/null
+++ b/libraries/libfixposix/README
@@ -0,0 +1,4 @@
+The purpose of libfixposix is to offer replacements for parts of POSIX
+whose behaviour is inconsistent across *NIX flavours.
+
+Libfixposix required by 'iolib' common-lisp library. \ No newline at end of file
diff --git a/libraries/libfixposix/libfixposix.SlackBuild b/libraries/libfixposix/libfixposix.SlackBuild
new file mode 100644
index 0000000000..10926e935c
--- /dev/null
+++ b/libraries/libfixposix/libfixposix.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for libfixposix
+
+# Copyright 2016 Omer YILMAZ <mr1yh1@yahoo.com>, Istanbul TURKEY.
+# All rights reserved.
+#
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libfixposix
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Building inside 'build' directory.
+autoreconf -i -f
+mkdir build
+cd build
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+make
+make install-strip DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENCE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libfixposix/libfixposix.info b/libraries/libfixposix/libfixposix.info
new file mode 100644
index 0000000000..f3e7cce6f0
--- /dev/null
+++ b/libraries/libfixposix/libfixposix.info
@@ -0,0 +1,10 @@
+PRGNAM="libfixposix"
+VERSION="0.4.1"
+HOMEPAGE="https://github.com/sionescu/libfixposix"
+DOWNLOAD="https://github.com/sionescu/libfixposix/releases/download/v0.4.1/libfixposix-0.4.1.tar.gz"
+MD5SUM="53d5ec36b7442d6019c0bb9457f8235d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Omer YILMAZ"
+EMAIL="mr1yh1@yahoo.com"
diff --git a/libraries/libfixposix/slack-desc b/libraries/libfixposix/slack-desc
new file mode 100644
index 0000000000..60453d93a2
--- /dev/null
+++ b/libraries/libfixposix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libfixposix: libfixposix (Thin wrapper over POSIX syscalls)
+libfixposix:
+libfixposix: The puspose of the libfixposix is to offer replacements
+libfixposix: for parts of POSIX whose behavior is inconsistent
+libfixposix: across *NIX flavours.
+libfixposix:
+libfixposix: It's required by 'iolib' common-lisp library.
+libfixposix:
+libfixposix: Homepage: https://github.com/sionescu/libfixposix
+libfixposix:
+libfixposix: